import { NumberType, NumberTypeIF } from '../../data-type/number/number-type';
import { InputConfig, InputConfigJson } from '../../input-config';
export interface NumberInputConfigIF extends InputConfigJson {
    labelPosition?: 'before' | 'after';
    disabled?: boolean;
    typeConfig?: NumberTypeIF;
}
export declare class NumberInputConfig extends InputConfig implements NumberInputConfigIF {
    static $model: NumberInputConfigIF;
    static INPUT_NAME: string;
    labelPosition: 'before' | 'after';
    disabled: boolean;
    typeConfig: NumberType;
    constructor(config?: NumberInputConfigIF, key?: string);
    getDemoInstance(): InputConfigJson;
}
