import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { NumberIval } from '../../data-type/number/number-ival';
import { InputViewMode } from '../../support/input-view-mode';
import { InputTemplateIF } from '../../support/template-components/input-template-component/input-template.component';
import { NumberInputConfig } from './number-input-config';
import * as i0 from "@angular/core";
export declare class NumberTemplateComponent implements OnInit, InputTemplateIF {
    private _changeDetector;
    config: NumberInputConfig;
    ival: NumberIval;
    mode: InputViewMode;
    change: EventEmitter<any>;
    viewModes: {
        CONFIGURE: InputViewMode;
        EDIT: InputViewMode;
        PREVIEW: InputViewMode;
        VIEW: InputViewMode;
    };
    constructor(_changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumberTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumberTemplateComponent, "ng-component", never, { "config": "config"; "ival": "ival"; "mode": "mode"; }, { "change": "change"; }, never, never, false>;
}
