import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { NumberIval } from '../../data-type/number/number-ival';
import { InputViewMode } from '../../support/input-view-mode';
import { InputTemplateIF } from '../../support/template-components/input-template-component/input-template.component';
import { NumberSpinnerConfig } from './number-spinner-config';
import * as i0 from "@angular/core";
export declare class NumberSpinnerTemplateComponent implements OnInit, InputTemplateIF {
    private changeDetectorRef;
    config: NumberSpinnerConfig;
    ival: NumberIval;
    mode: InputViewMode;
    change: EventEmitter<any>;
    viewModes: {
        CONFIGURE: InputViewMode;
        EDIT: InputViewMode;
        PREVIEW: InputViewMode;
        VIEW: InputViewMode;
    };
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NumberSpinnerTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NumberSpinnerTemplateComponent, "ng-component", never, { "config": "config"; "ival": "ival"; "mode": "mode"; }, { "change": "change"; }, never, never, false>;
}
