"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberSpinnerTemplateComponent = void 0;
const core_1 = require("@angular/core");
const core_2 = require("@tangential/core");
const data_type_1 = require("../../data-type");
//noinspection ES6PreferShortImport
const number_ival_1 = require("../../data-type/number/number-ival");
const input_view_mode_1 = require("../../support/input-view-mode");
const number_spinner_config_1 = require("./number-spinner-config");
const i0 = require("@angular/core");
const i1 = require("@angular/common");
const i2 = require("../../../input-widgets/number-spinner-widget/number-spinner-widget.component");
const i3 = require("../../../input-widgets/number-spinner-widget/number-spinner-widget-configure.component");
function NumberSpinnerTemplateComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-number-spinner-widget", 1);
    i0.ɵɵlistener("valueChange", function NumberSpinnerTemplateComponent_ng_container_0_Template_tanj_number_spinner_widget_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r3); const ctx_r2 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r2.ival.value = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r0.config.labelPosition)("disabled", ctx_r0.mode === ctx_r0.viewModes.PREVIEW || ctx_r0.config.disabled)("label", ctx_r0.config.label)("value", ctx_r0.ival.value)("max", ctx_r0.config.typeConfig.max)("min", ctx_r0.config.typeConfig.min)("step", ctx_r0.config.typeConfig.step);
} }
function NumberSpinnerTemplateComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-number-spinner-configure", 2);
    i0.ɵɵlistener("labelChange", function NumberSpinnerTemplateComponent_ng_container_1_Template_tanj_number_spinner_configure_labelChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.config.label = $event); })("valueChange", function NumberSpinnerTemplateComponent_ng_container_1_Template_tanj_number_spinner_configure_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.ival.value = $event); })("defaultValueChange", function NumberSpinnerTemplateComponent_ng_container_1_Template_tanj_number_spinner_configure_defaultValueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r7 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r7.config.typeConfig.defaultValue = $event); })("maxChange", function NumberSpinnerTemplateComponent_ng_container_1_Template_tanj_number_spinner_configure_maxChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r8 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r8.config.typeConfig.max = $event); })("minChange", function NumberSpinnerTemplateComponent_ng_container_1_Template_tanj_number_spinner_configure_minChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r9 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r9.config.typeConfig.min = $event); })("stepChange", function NumberSpinnerTemplateComponent_ng_container_1_Template_tanj_number_spinner_configure_stepChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r10 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r10.config.typeConfig.step = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r1.config.labelPosition)("label", ctx_r1.config.label)("value", ctx_r1.ival.value)("defaultValue", ctx_r1.config.typeConfig.defaultValue)("max", ctx_r1.config.typeConfig.max)("min", ctx_r1.config.typeConfig.min)("step", ctx_r1.config.typeConfig.step);
} }
class NumberSpinnerTemplateComponent {
    constructor(changeDetectorRef) {
        this.changeDetectorRef = changeDetectorRef;
        this.config = new number_spinner_config_1.NumberSpinnerConfig();
        this.ival = data_type_1.NumberType.create({});
        this.mode = input_view_mode_1.InputViewModes.VIEW;
        this.change = new core_1.EventEmitter(false);
        this.viewModes = input_view_mode_1.InputViewModes;
    }
    ngOnInit() {
        core_2.Hacks.materialDesignPlaceholderText(this.changeDetectorRef);
    }
}
exports.NumberSpinnerTemplateComponent = NumberSpinnerTemplateComponent;
NumberSpinnerTemplateComponent.ɵfac = function NumberSpinnerTemplateComponent_Factory(t) { return new (t || NumberSpinnerTemplateComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
NumberSpinnerTemplateComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: NumberSpinnerTemplateComponent, selectors: [["ng-component"]], inputs: { config: "config", ival: "ival", mode: "mode" }, outputs: { change: "change" }, decls: 2, vars: 2, consts: [[4, "ngIf"], [3, "labelPosition", "disabled", "label", "value", "max", "min", "step", "valueChange"], [3, "labelPosition", "label", "value", "defaultValue", "max", "min", "step", "labelChange", "valueChange", "defaultValueChange", "maxChange", "minChange", "stepChange"]], template: function NumberSpinnerTemplateComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, NumberSpinnerTemplateComponent_ng_container_0_Template, 2, 7, "ng-container", 0);
        i0.ɵɵtemplate(1, NumberSpinnerTemplateComponent_ng_container_1_Template, 2, 7, "ng-container", 0);
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.VIEW || ctx.mode == ctx.viewModes.PREVIEW || ctx.mode == ctx.viewModes.EDIT);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.CONFIGURE);
    } }, dependencies: [i1.NgIf, i2.NumberSpinnerWidgetComponent, i3.NumberSpinnerWidgetConfigureComponent], encapsulation: 2 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(NumberSpinnerTemplateComponent, [{
        type: core_1.Component,
        args: [{
                template: `<!-- -->
  <ng-container *ngIf="mode == viewModes.VIEW || mode == viewModes.PREVIEW || mode == viewModes.EDIT  ">
    <tanj-number-spinner-widget [labelPosition]="config.labelPosition"
                               [disabled]="mode === viewModes.PREVIEW || config.disabled"
                               [label]="config.label"
                               [(value)]="ival.value"
                               [max]="config.typeConfig.max"
                               [min]="config.typeConfig.min"
                               [step]="config.typeConfig.step">

    </tanj-number-spinner-widget>
  </ng-container>
  <ng-container *ngIf="mode == viewModes.CONFIGURE">
    <tanj-number-spinner-configure
      [labelPosition]="config.labelPosition"
      [(label)]="config.label"
      [(value)]="ival.value"
      [(defaultValue)]="config.typeConfig.defaultValue"
      [(max)]="config.typeConfig.max"
      [(min)]="config.typeConfig.min"
      [(step)]="config.typeConfig.step">

    </tanj-number-spinner-configure>
  </ng-container>

                 `,
                encapsulation: core_1.ViewEncapsulation.None
            }]
    }], function () { return [{ type: i0.ChangeDetectorRef }]; }, { config: [{
            type: core_1.Input
        }], ival: [{
            type: core_1.Input
        }], mode: [{
            type: core_1.Input
        }], change: [{
            type: core_1.Output
        }] }); })();
//# sourceMappingURL=number-spinner-template.component.js.map