import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { TextIval } from '../../data-type/text/text-ival';
import { InputViewMode } from '../../support/input-view-mode';
import { InputTemplateIF } from '../../support/template-components/input-template-component/input-template.component';
import { TextInputConfig } from './text-input-config';
import * as i0 from "@angular/core";
export declare class TextTemplateComponent implements OnInit, InputTemplateIF {
    private _changeDetector;
    config?: TextInputConfig;
    ival: TextIval;
    mode: InputViewMode;
    change: EventEmitter<any>;
    viewModes: {
        CONFIGURE: InputViewMode;
        EDIT: InputViewMode;
        PREVIEW: InputViewMode;
        VIEW: InputViewMode;
    };
    constructor(_changeDetector: ChangeDetectorRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextTemplateComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextTemplateComponent, "ng-component", never, { "config": "config"; "ival": "ival"; "mode": "mode"; }, { "change": "change"; }, never, never, false>;
}
