"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TextTemplateComponent = void 0;
const core_1 = require("@angular/core");
const core_2 = require("@tangential/core");
const text_ival_1 = require("../../data-type/text/text-ival");
const input_view_mode_1 = require("../../support/input-view-mode");
const text_input_config_1 = require("./text-input-config");
const i0 = require("@angular/core");
const i1 = require("@angular/common");
const i2 = require("../../../input-widgets/text-widget/text-widget.component");
const i3 = require("../../../input-widgets/text-widget/text-widget-configure.component");
function TextTemplateComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-text-widget", 1);
    i0.ɵɵlistener("valueChange", function TextTemplateComponent_ng_container_0_Template_tanj_text_widget_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r3); const ctx_r2 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r2.ival.value = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r0.config.labelPosition)("disabled", ctx_r0.mode === ctx_r0.viewModes.PREVIEW || ctx_r0.config.disabled)("label", ctx_r0.config.label)("value", ctx_r0.ival.value)("maxLength", ctx_r0.config.typeConfig.maxLength)("minLength", ctx_r0.config.typeConfig.minLength);
} }
function TextTemplateComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-text-configure", 2);
    i0.ɵɵlistener("labelChange", function TextTemplateComponent_ng_container_1_Template_tanj_text_configure_labelChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.config.label = $event); })("valueChange", function TextTemplateComponent_ng_container_1_Template_tanj_text_configure_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.ival.value = $event); })("defaultValueChange", function TextTemplateComponent_ng_container_1_Template_tanj_text_configure_defaultValueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r7 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r7.config.typeConfig.defaultValue = $event); })("maxLengthChange", function TextTemplateComponent_ng_container_1_Template_tanj_text_configure_maxLengthChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r8 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r8.config.typeConfig.maxLength = $event); })("minLengthChange", function TextTemplateComponent_ng_container_1_Template_tanj_text_configure_minLengthChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r9 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r9.config.typeConfig.minLength = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r1.config.labelPosition)("label", ctx_r1.config.label)("value", ctx_r1.ival.value)("defaultValue", ctx_r1.config.typeConfig.defaultValue)("maxLength", ctx_r1.config.typeConfig.maxLength)("minLength", ctx_r1.config.typeConfig.minLength);
} }
class TextTemplateComponent {
    constructor(_changeDetector) {
        this._changeDetector = _changeDetector;
        this.ival = new text_ival_1.TextIval();
        this.mode = input_view_mode_1.InputViewModes.VIEW;
        this.change = new core_1.EventEmitter(false);
        this.viewModes = input_view_mode_1.InputViewModes;
    }
    ngOnInit() {
        core_2.Hacks.materialDesignPlaceholderText(this._changeDetector);
    }
}
exports.TextTemplateComponent = TextTemplateComponent;
TextTemplateComponent.ɵfac = function TextTemplateComponent_Factory(t) { return new (t || TextTemplateComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
TextTemplateComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: TextTemplateComponent, selectors: [["ng-component"]], inputs: { config: "config", ival: "ival", mode: "mode" }, outputs: { change: "change" }, decls: 2, vars: 2, consts: [[4, "ngIf"], [3, "labelPosition", "disabled", "label", "value", "maxLength", "minLength", "valueChange"], [3, "labelPosition", "label", "value", "defaultValue", "maxLength", "minLength", "labelChange", "valueChange", "defaultValueChange", "maxLengthChange", "minLengthChange"]], template: function TextTemplateComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, TextTemplateComponent_ng_container_0_Template, 2, 6, "ng-container", 0);
        i0.ɵɵtemplate(1, TextTemplateComponent_ng_container_1_Template, 2, 6, "ng-container", 0);
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.VIEW || ctx.mode == ctx.viewModes.PREVIEW || ctx.mode == ctx.viewModes.EDIT);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.CONFIGURE);
    } }, dependencies: [i1.NgIf, i2.TextWidgetComponent, i3.TextWidgetConfigureComponent], encapsulation: 2 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TextTemplateComponent, [{
        type: core_1.Component,
        args: [{
                template: `<!-- -->
  <ng-container *ngIf="mode == viewModes.VIEW || mode == viewModes.PREVIEW || mode == viewModes.EDIT  ">
    <tanj-text-widget [labelPosition]="config.labelPosition"
                     [disabled]="mode === viewModes.PREVIEW || config.disabled"
                     [label]="config.label"
                     [(value)]="ival.value"
                     [maxLength]="config.typeConfig.maxLength"
                     [minLength]="config.typeConfig.minLength">

    </tanj-text-widget>
  </ng-container>
  <ng-container *ngIf="mode == viewModes.CONFIGURE">
    <tanj-text-configure
      [labelPosition]="config.labelPosition"
      [(label)]="config.label"
      [(value)]="ival.value"
      [(defaultValue)]="config.typeConfig.defaultValue"
      [(maxLength)]="config.typeConfig.maxLength"
      [(minLength)]="config.typeConfig.minLength">
    </tanj-text-configure>
  </ng-container>

                 `,
                encapsulation: core_1.ViewEncapsulation.None
            }]
    }], function () { return [{ type: i0.ChangeDetectorRef }]; }, { config: [{
            type: core_1.Input
        }], ival: [{
            type: core_1.Input
        }], mode: [{
            type: core_1.Input
        }], change: [{
            type: core_1.Output
        }] }); })();
//# sourceMappingURL=text-template.component.js.map