"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TanjConfigurableWidgetModule = void 0;
const common_1 = require("@angular/common");
const core_1 = require("@angular/core");
const forms_1 = require("@angular/forms");
const button_1 = require("@angular/material/button");
const checkbox_1 = require("@angular/material/checkbox");
const input_1 = require("@angular/material/input");
const slide_toggle_1 = require("@angular/material/slide-toggle");
const slider_1 = require("@angular/material/slider");
const components_1 = require("@tangential/components");
const input_widgets_1 = require("@tangential/input-widgets");
//noinspection ES6PreferShortImport
const choose_input_widget_dialog_1 = require("./support/choose-input-widget-dialog/choose-input-widget-dialog");
//noinspection ES6PreferShortImport
const edit_configurable_widget_component_1 = require("./support/edit-configurable-widget-component/edit-configurable-widget.component");
//noinspection ES6PreferShortImport
const input_template_container_component_1 = require("./support/template-components/input-template-component/input-template-container.component");
//noinspection ES6PreferShortImport
const input_template_directive_1 = require("./support/template-components/input-template-component/input-template.directive");
//noinspection ES6PreferShortImport
const checkbox_widget_template_component_1 = require("./widgets/checkbox/checkbox-widget.template.component");
//noinspection ES6PreferShortImport
const date_time_template_component_1 = require("./widgets/date-time-input/date-time-template.component");
//noinspection ES6PreferShortImport
const duration_picker_template_component_1 = require("./widgets/duration-picker/duration-picker-template.component");
//noinspection ES6PreferShortImport
const icon_rating_widget_template_component_1 = require("./widgets/icon-rating-widget/icon-rating-widget.template.component");
//noinspection ES6PreferShortImport
const number_template_component_1 = require("./widgets/number-input/number-template.component");
//noinspection ES6PreferShortImport
const number_slider_template_component_1 = require("./widgets/number-slider/number-slider-template.component");
//noinspection ES6PreferShortImport
const number_spinner_template_component_1 = require("./widgets/number-spinner/number-spinner-template.component");
//noinspection ES6PreferShortImport
const slide_toggle_widget_template_component_1 = require("./widgets/slide-toggle/slide-toggle-widget.template.component");
//noinspection ES6PreferShortImport
const text_template_component_1 = require("./widgets/text-input/text-template.component");
const i0 = require("@angular/core");
class TanjConfigurableWidgetModule {
}
exports.TanjConfigurableWidgetModule = TanjConfigurableWidgetModule;
TanjConfigurableWidgetModule.ɵfac = function TanjConfigurableWidgetModule_Factory(t) { return new (t || TanjConfigurableWidgetModule)(); };
TanjConfigurableWidgetModule.ɵmod = /*@__PURE__*/ i0.ɵɵdefineNgModule({ type: TanjConfigurableWidgetModule });
TanjConfigurableWidgetModule.ɵinj = /*@__PURE__*/ i0.ɵɵdefineInjector({ imports: [common_1.CommonModule,
        forms_1.FormsModule,
        button_1.MatButtonModule,
        input_1.MatInputModule,
        checkbox_1.MatCheckboxModule,
        slide_toggle_1.MatSlideToggleModule,
        slider_1.MatSliderModule,
        components_1.TanjComponentsModule,
        input_widgets_1.TanjInputWidgetModule] });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(TanjConfigurableWidgetModule, [{
        type: core_1.NgModule,
        args: [{
                imports: [
                    common_1.CommonModule,
                    forms_1.FormsModule,
                    button_1.MatButtonModule,
                    input_1.MatInputModule,
                    checkbox_1.MatCheckboxModule,
                    slide_toggle_1.MatSlideToggleModule,
                    slider_1.MatSliderModule,
                    components_1.TanjComponentsModule,
                    input_widgets_1.TanjInputWidgetModule
                ],
                declarations: [
                    input_template_container_component_1.InputTemplateContainerComponent,
                    input_template_directive_1.InputTemplateDirective,
                    edit_configurable_widget_component_1.EditConfigurableWidgetComponent,
                    choose_input_widget_dialog_1.ChooseInputWidgetDialog,
                    date_time_template_component_1.DateTimeTemplateComponent,
                    duration_picker_template_component_1.DurationPickerTemplateComponent,
                    icon_rating_widget_template_component_1.IconRatingWidgetTemplateComponent,
                    number_template_component_1.NumberTemplateComponent,
                    number_slider_template_component_1.NumberSliderTemplateComponent,
                    number_spinner_template_component_1.NumberSpinnerTemplateComponent,
                    text_template_component_1.TextTemplateComponent,
                    checkbox_widget_template_component_1.CheckboxWidgetTemplateComponent,
                    slide_toggle_widget_template_component_1.SlideToggleWidgetTemplateComponent,
                ],
                exports: [
                    input_template_container_component_1.InputTemplateContainerComponent,
                    input_template_directive_1.InputTemplateDirective,
                    choose_input_widget_dialog_1.ChooseInputWidgetDialog,
                    edit_configurable_widget_component_1.EditConfigurableWidgetComponent,
                    date_time_template_component_1.DateTimeTemplateComponent,
                    duration_picker_template_component_1.DurationPickerTemplateComponent,
                    icon_rating_widget_template_component_1.IconRatingWidgetTemplateComponent,
                    number_template_component_1.NumberTemplateComponent,
                    number_slider_template_component_1.NumberSliderTemplateComponent,
                    number_spinner_template_component_1.NumberSpinnerTemplateComponent,
                    text_template_component_1.TextTemplateComponent,
                    checkbox_widget_template_component_1.CheckboxWidgetTemplateComponent,
                    slide_toggle_widget_template_component_1.SlideToggleWidgetTemplateComponent,
                ],
                entryComponents: [
                    choose_input_widget_dialog_1.ChooseInputWidgetDialog,
                    date_time_template_component_1.DateTimeTemplateComponent,
                    icon_rating_widget_template_component_1.IconRatingWidgetTemplateComponent,
                    number_template_component_1.NumberTemplateComponent,
                    number_slider_template_component_1.NumberSliderTemplateComponent,
                    number_spinner_template_component_1.NumberSpinnerTemplateComponent,
                    text_template_component_1.TextTemplateComponent,
                    duration_picker_template_component_1.DurationPickerTemplateComponent,
                    checkbox_widget_template_component_1.CheckboxWidgetTemplateComponent,
                    slide_toggle_widget_template_component_1.SlideToggleWidgetTemplateComponent
                ]
            }]
    }], null, null); })();
(function () { (typeof ngJitMode === "undefined" || ngJitMode) && i0.ɵɵsetNgModuleScope(TanjConfigurableWidgetModule, { declarations: [input_template_container_component_1.InputTemplateContainerComponent,
        input_template_directive_1.InputTemplateDirective,
        edit_configurable_widget_component_1.EditConfigurableWidgetComponent,
        choose_input_widget_dialog_1.ChooseInputWidgetDialog,
        date_time_template_component_1.DateTimeTemplateComponent,
        duration_picker_template_component_1.DurationPickerTemplateComponent,
        icon_rating_widget_template_component_1.IconRatingWidgetTemplateComponent,
        number_template_component_1.NumberTemplateComponent,
        number_slider_template_component_1.NumberSliderTemplateComponent,
        number_spinner_template_component_1.NumberSpinnerTemplateComponent,
        text_template_component_1.TextTemplateComponent,
        checkbox_widget_template_component_1.CheckboxWidgetTemplateComponent,
        slide_toggle_widget_template_component_1.SlideToggleWidgetTemplateComponent], imports: [common_1.CommonModule,
        forms_1.FormsModule,
        button_1.MatButtonModule,
        input_1.MatInputModule,
        checkbox_1.MatCheckboxModule,
        slide_toggle_1.MatSlideToggleModule,
        slider_1.MatSliderModule,
        components_1.TanjComponentsModule,
        input_widgets_1.TanjInputWidgetModule], exports: [input_template_container_component_1.InputTemplateContainerComponent,
        input_template_directive_1.InputTemplateDirective,
        choose_input_widget_dialog_1.ChooseInputWidgetDialog,
        edit_configurable_widget_component_1.EditConfigurableWidgetComponent,
        date_time_template_component_1.DateTimeTemplateComponent,
        duration_picker_template_component_1.DurationPickerTemplateComponent,
        icon_rating_widget_template_component_1.IconRatingWidgetTemplateComponent,
        number_template_component_1.NumberTemplateComponent,
        number_slider_template_component_1.NumberSliderTemplateComponent,
        number_spinner_template_component_1.NumberSpinnerTemplateComponent,
        text_template_component_1.TextTemplateComponent,
        checkbox_widget_template_component_1.CheckboxWidgetTemplateComponent,
        slide_toggle_widget_template_component_1.SlideToggleWidgetTemplateComponent] }); })();
//# sourceMappingURL=configurable-widget.module.js.map