"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChooseInputWidgetDialog = void 0;
const core_1 = require("@angular/core");
const dialog_1 = require("@angular/material/dialog");
const rxjs_1 = require("rxjs");
const operators_1 = require("rxjs/operators");
const input_types_registry_1 = require("../input-types-registry");
const input_view_mode_1 = require("../input-view-mode");
const i0 = require("@angular/core");
const i1 = require("../input-types-registry");
const i2 = require("@angular/material/dialog");
const i3 = require("@angular/common");
const i4 = require("@angular/material/button");
const i5 = require("../../../components/icon/icon.component");
const i6 = require("../template-components/input-template-component/input-template-container.component");
function ChooseInputWidgetDialog_div_6_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementStart(0, "div", 6);
    i0.ɵɵelement(1, "tanj-input-template-container", 7);
    i0.ɵɵelementStart(2, "div", 8)(3, "a", 9);
    i0.ɵɵlistener("click", function ChooseInputWidgetDialog_div_6_Template_a_click_3_listener() { const restoredCtx = i0.ɵɵrestoreView(_r3); const inputTemplate_r1 = restoredCtx.$implicit; const ctx_r2 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r2.onWidgetClicked(inputTemplate_r1)); });
    i0.ɵɵelement(4, "tanj-icon", 10);
    i0.ɵɵelementEnd()()();
} if (rf & 2) {
    const inputTemplate_r1 = ctx.$implicit;
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("inputConfig", inputTemplate_r1.config)("inputIval", inputTemplate_r1.ival)("mode", inputTemplate_r1.mode);
} }
class ChooseInputWidgetDialog {
    constructor(_registry, dialogRef) {
        this._registry = _registry;
        this.dialogRef = dialogRef;
        this.flexL = 'column';
        this.flexLA = 'start';
        this._height = '100%';
        this._width = '100%';
        this.mw = '100%';
        this.templates = [];
        this.filteredTemplates = [];
        this.filterSubject = new rxjs_1.BehaviorSubject('');
        this.templates = this._registry.allTemplates(input_view_mode_1.InputViewModes.EDIT).map((template) => {
            template.config = template.config.getDemoInstance();
            return template;
        });
        this.filteredTemplates = this.templates;
        this.filterSubject = new rxjs_1.BehaviorSubject('');
        this.filterSubject.pipe((0, operators_1.debounceTime)(100)).subscribe((filterText) => {
            this._filterWidgets(filterText);
        });
    }
    _filterWidgets(filterText) {
        if (filterText === '') {
            this.filteredTemplates = this.templates;
        }
        else {
            this.filteredTemplates = this.templates.filter((template) => {
                return template.config._inputName.toLowerCase().indexOf(filterText.toLowerCase()) > -1;
            });
        }
    }
    onFilterTextChange(filter) {
        this.filterSubject.next(filter);
    }
    onWidgetClicked(inputTemplate) {
        this.dialogRef.close(inputTemplate);
    }
}
exports.ChooseInputWidgetDialog = ChooseInputWidgetDialog;
ChooseInputWidgetDialog.ɵfac = function ChooseInputWidgetDialog_Factory(t) { return new (t || ChooseInputWidgetDialog)(i0.ɵɵdirectiveInject(i1.InputRegistry), i0.ɵɵdirectiveInject(i2.MatDialogRef)); };
ChooseInputWidgetDialog.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: ChooseInputWidgetDialog, selectors: [["choose-input-widget-dialog"]], hostVars: 8, hostBindings: function ChooseInputWidgetDialog_HostBindings(rf, ctx) { if (rf & 2) {
        i0.ɵɵattribute("layout", ctx.flexL)("layout-align", ctx.flexLA);
        i0.ɵɵstyleProp("height", ctx._height)("width", ctx._width)("max-width", ctx.mw);
    } }, decls: 7, vars: 1, consts: function () { let i18n_0; if (typeof ngI18nClosureMode !== "undefined" && ngI18nClosureMode) {
        /**
         * @suppress {msgDescriptions}
         */
        const MSG_EXTERNAL_1165360999684882306$$_____________________USERS_GGRANUM_GITHUB_GGRANUM_TANGENTIAL_SRC_LIB_CONFIGURABLE_INPUT_WIDGETS_SUPPORT_CHOOSE_INPUT_WIDGET_DIALOG_CHOOSE_INPUT_WIDGET_DIALOG_TS_1 = goog.getMsg("Choose a widget");
        i18n_0 = MSG_EXTERNAL_1165360999684882306$$_____________________USERS_GGRANUM_GITHUB_GGRANUM_TANGENTIAL_SRC_LIB_CONFIGURABLE_INPUT_WIDGETS_SUPPORT_CHOOSE_INPUT_WIDGET_DIALOG_CHOOSE_INPUT_WIDGET_DIALOG_TS_1;
    }
    else {
        i18n_0 = $localize `:␟7fe8b4cf8ddca843b9d99daab7d2ef5eebc4394d␟1165360999684882306:Choose a widget`;
    } return [["layout", "row", "layout-align", "center", 1, "tanj-dialog-title"], i18n_0, [1, "tanj-dialog-content-container"], ["flex", "grow", "layout", "column", "layout-align", "center", 1, "tanj-dialog-content"], ["mat-dialog-actions", "", "flex", "", "layout", "column", "layout-align", "start", 1, "tanj-widget-list", "tanj-example-widget"], ["class", "tanj-widget-container", "flex", "grow", "layout", "row", "layout-align", "start center", 4, "ngFor", "ngForOf"], ["flex", "grow", "layout", "row", "layout-align", "start center", 1, "tanj-widget-container"], ["flex", "", 3, "inputConfig", "inputIval", "mode"], ["layout", "row", "layout-align", "end center", 1, "tanj-widget-button-container"], ["mat-mini-fab", "", 3, "click"], ["ligature", "done"]]; }, template: function ChooseInputWidgetDialog_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵelementStart(0, "div", 0)(1, "h2");
        i0.ɵɵi18n(2, 1);
        i0.ɵɵelementEnd()();
        i0.ɵɵelementStart(3, "div", 2)(4, "div", 3)(5, "div", 4);
        i0.ɵɵtemplate(6, ChooseInputWidgetDialog_div_6_Template, 5, 3, "div", 5);
        i0.ɵɵelementEnd()()();
    } if (rf & 2) {
        i0.ɵɵadvance(6);
        i0.ɵɵproperty("ngForOf", ctx.filteredTemplates);
    } }, dependencies: [i3.NgForOf, i4.MatAnchor, i5.IconComponent, i6.InputTemplateContainerComponent], encapsulation: 2 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(ChooseInputWidgetDialog, [{
        type: core_1.Component,
        args: [{ selector: 'choose-input-widget-dialog', encapsulation: core_1.ViewEncapsulation.None, template: "<div class=\"tanj-dialog-title\" layout=\"row\" layout-align=\"center\">\n  <h2 i18n>Choose a widget</h2>\n</div>\n\n<div class=\"tanj-dialog-content-container\">\n  <div flex=\"grow\" class=\"tanj-dialog-content\" layout=\"column\" layout-align=\"center\">\n    <div mat-dialog-actions class=\"tanj-widget-list tanj-example-widget\" flex layout=\"column\" layout-align=\"start\">\n\n      <div *ngFor=\"let inputTemplate of filteredTemplates\"\n           class=\"tanj-widget-container\"\n           flex=\"grow\"\n           layout=\"row\"\n           layout-align=\"start center\">\n        <tanj-input-template-container flex\n                                      [inputConfig]=\"inputTemplate.config\"\n                                      [inputIval]=\"inputTemplate.ival\"\n                                      [mode]=\"inputTemplate.mode\"></tanj-input-template-container>\n        <div class=\"tanj-widget-button-container\" layout=\"row\" layout-align=\"end center\">\n          <a mat-mini-fab (click)=\"onWidgetClicked(inputTemplate)\">\n            <tanj-icon ligature=\"done\"></tanj-icon>\n          </a>\n        </div>\n      </div>\n    </div>\n  </div>\n</div>\n" }]
    }], function () { return [{ type: i1.InputRegistry }, { type: i2.MatDialogRef }]; }, { flexL: [{
            type: core_1.HostBinding,
            args: ['attr.layout']
        }], flexLA: [{
            type: core_1.HostBinding,
            args: ['attr.layout-align']
        }], _height: [{
            type: core_1.HostBinding,
            args: ['style.height']
        }], _width: [{
            type: core_1.HostBinding,
            args: ['style.width']
        }], mw: [{
            type: core_1.HostBinding,
            args: ['style.max-width']
        }] }); })();
//# sourceMappingURL=choose-input-widget-dialog.js.map