"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckboxWidgetTemplateComponent = void 0;
const core_1 = require("@angular/core");
const core_2 = require("@tangential/core");
//noinspection ES6PreferShortImport
const boolean_ival_1 = require("../../data-type/boolean/boolean-ival");
const input_view_mode_1 = require("../../support/input-view-mode");
const checkbox_widget_config_1 = require("./checkbox-widget-config");
const i0 = require("@angular/core");
const i1 = require("@angular/common");
const i2 = require("../../../input-widgets/checkbox-widget/checkbox-widget.component");
const i3 = require("../../../input-widgets/checkbox-widget/checkbox-widget-configure.component");
function CheckboxWidgetTemplateComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-checkbox-widget", 1);
    i0.ɵɵlistener("valueChange", function CheckboxWidgetTemplateComponent_ng_container_0_Template_tanj_checkbox_widget_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r3); const ctx_r2 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r2.ival.value = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r0.config.labelPosition)("disabled", ctx_r0.mode == ctx_r0.viewModes.PREVIEW || ctx_r0.config.disabled)("value", ctx_r0.ival.value)("label", ctx_r0.config.label)("defaultValue", ctx_r0.config.typeConfig.defaultValue);
} }
function CheckboxWidgetTemplateComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-checkbox-widget-configure", 2);
    i0.ɵɵlistener("valueChange", function CheckboxWidgetTemplateComponent_ng_container_1_Template_tanj_checkbox_widget_configure_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.ival.value = $event); })("labelChange", function CheckboxWidgetTemplateComponent_ng_container_1_Template_tanj_checkbox_widget_configure_labelChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.config.label = $event); })("defaultValueChange", function CheckboxWidgetTemplateComponent_ng_container_1_Template_tanj_checkbox_widget_configure_defaultValueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r7 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r7.config.typeConfig.defaultValue = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r1.config.labelPosition)("disabled", ctx_r1.config.disabled)("value", ctx_r1.ival.value)("label", ctx_r1.config.label)("defaultValue", ctx_r1.config.typeConfig.defaultValue);
} }
class CheckboxWidgetTemplateComponent {
    constructor(changeDetectorRef) {
        this.changeDetectorRef = changeDetectorRef;
        this.flex = '';
        this.flexLayout = 'column';
        this.flexLayoutAlign = 'start';
        this.mode = input_view_mode_1.InputViewModes.VIEW;
        this.change = new core_1.EventEmitter(false);
        this.viewModes = input_view_mode_1.InputViewModes;
    }
    ngOnInit() {
        core_2.Hacks.materialDesignPlaceholderText(this.changeDetectorRef);
    }
}
exports.CheckboxWidgetTemplateComponent = CheckboxWidgetTemplateComponent;
CheckboxWidgetTemplateComponent.ɵfac = function CheckboxWidgetTemplateComponent_Factory(t) { return new (t || CheckboxWidgetTemplateComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
CheckboxWidgetTemplateComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: CheckboxWidgetTemplateComponent, selectors: [["tanj-checkbox-widget-template"]], hostVars: 3, hostBindings: function CheckboxWidgetTemplateComponent_HostBindings(rf, ctx) { if (rf & 2) {
        i0.ɵɵattribute("flex", ctx.flex)("layout", ctx.flexLayout)("layout-align", ctx.flexLayoutAlign);
    } }, inputs: { config: "config", ival: "ival", mode: "mode" }, outputs: { change: "change" }, decls: 2, vars: 2, consts: [[4, "ngIf"], [3, "labelPosition", "disabled", "value", "label", "defaultValue", "valueChange"], [3, "labelPosition", "disabled", "value", "label", "defaultValue", "valueChange", "labelChange", "defaultValueChange"]], template: function CheckboxWidgetTemplateComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, CheckboxWidgetTemplateComponent_ng_container_0_Template, 2, 5, "ng-container", 0);
        i0.ɵɵtemplate(1, CheckboxWidgetTemplateComponent_ng_container_1_Template, 2, 5, "ng-container", 0);
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.VIEW || ctx.mode == ctx.viewModes.PREVIEW || ctx.mode == ctx.viewModes.EDIT);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.CONFIGURE);
    } }, dependencies: [i1.NgIf, i2.CheckboxWidgetComponent, i3.CheckboxWidgetConfigureComponent], encapsulation: 2 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(CheckboxWidgetTemplateComponent, [{
        type: core_1.Component,
        args: [{
                selector: 'tanj-checkbox-widget-template',
                template: `
                   <ng-container *ngIf="mode == viewModes.VIEW || mode == viewModes.PREVIEW || mode == viewModes.EDIT  ">
                     <tanj-checkbox-widget
                       [labelPosition]="config.labelPosition"
                       [disabled]=" mode == viewModes.PREVIEW || config.disabled"
                       [(value)]="ival.value"
                       [label]="config.label"
                       [defaultValue]="config.typeConfig.defaultValue">
                     </tanj-checkbox-widget>
                   </ng-container>
                   <ng-container *ngIf="mode == viewModes.CONFIGURE">
                     <tanj-checkbox-widget-configure
                       [labelPosition]="config.labelPosition"
                       [disabled]="config.disabled"
                       [(value)]="ival.value"
                       [(label)]="config.label"
                       [(defaultValue)]="config.typeConfig.defaultValue">
                     </tanj-checkbox-widget-configure>
                   </ng-container>
                 `,
                encapsulation: core_1.ViewEncapsulation.None
            }]
    }], function () { return [{ type: i0.ChangeDetectorRef }]; }, { flex: [{
            type: core_1.HostBinding,
            args: ['attr.flex']
        }], flexLayout: [{
            type: core_1.HostBinding,
            args: ['attr.layout']
        }], flexLayoutAlign: [{
            type: core_1.HostBinding,
            args: ['attr.layout-align']
        }], config: [{
            type: core_1.Input
        }], ival: [{
            type: core_1.Input
        }], mode: [{
            type: core_1.Input
        }], change: [{
            type: core_1.Output
        }] }); })();
//# sourceMappingURL=checkbox-widget.template.component.js.map