"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DateTimeTemplateComponent = void 0;
const core_1 = require("@angular/core");
const core_2 = require("@tangential/core");
//noinspection ES6PreferShortImport
const date_time_ival_1 = require("../../data-type/date-time/date-time-ival");
const input_view_mode_1 = require("../../support/input-view-mode");
const date_time_input_config_1 = require("./date-time-input-config");
const i0 = require("@angular/core");
const i1 = require("@angular/common");
const i2 = require("../../../input-widgets/date-time-widget/date-time-widget.component");
const i3 = require("../../../input-widgets/date-time-widget/date-time-widget-configure.component");
function DateTimeTemplateComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-date-time-widget", 1);
    i0.ɵɵlistener("valueChange", function DateTimeTemplateComponent_ng_container_0_Template_tanj_date_time_widget_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r3); const ctx_r2 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r2.ival.value = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r0.config.labelPosition)("disabled", ctx_r0.mode === ctx_r0.viewModes.PREVIEW || ctx_r0.config.disabled)("label", ctx_r0.config.label)("value", ctx_r0.ival.value)("defaultToNow", ctx_r0.config.typeConfig.defaultToNow)("defaultValue", ctx_r0.config.typeConfig.defaultValue);
} }
function DateTimeTemplateComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-date-time-configure", 2);
    i0.ɵɵlistener("labelChange", function DateTimeTemplateComponent_ng_container_1_Template_tanj_date_time_configure_labelChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.config.label = $event); })("valueChange", function DateTimeTemplateComponent_ng_container_1_Template_tanj_date_time_configure_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.ival.value = $event); })("defaultValueChange", function DateTimeTemplateComponent_ng_container_1_Template_tanj_date_time_configure_defaultValueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r7 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r7.config.typeConfig.defaultValue = $event); })("defaultToNowChange", function DateTimeTemplateComponent_ng_container_1_Template_tanj_date_time_configure_defaultToNowChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r8 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r8.config.typeConfig.defaultToNow = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r1.config.labelPosition)("label", ctx_r1.config.label)("value", ctx_r1.ival.value)("defaultValue", ctx_r1.config.typeConfig.defaultValue)("defaultToNow", ctx_r1.config.typeConfig.defaultToNow);
} }
class DateTimeTemplateComponent {
    constructor(changeDetectorRef) {
        this.changeDetectorRef = changeDetectorRef;
        this.mode = null;
        this.change = new core_1.EventEmitter(false);
        this.viewModes = input_view_mode_1.InputViewModes;
    }
    ngOnInit() {
        core_2.Hacks.materialDesignPlaceholderText(this.changeDetectorRef);
    }
}
exports.DateTimeTemplateComponent = DateTimeTemplateComponent;
DateTimeTemplateComponent.ɵfac = function DateTimeTemplateComponent_Factory(t) { return new (t || DateTimeTemplateComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
DateTimeTemplateComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DateTimeTemplateComponent, selectors: [["ng-component"]], inputs: { config: "config", ival: "ival", mode: "mode" }, outputs: { change: "change" }, decls: 2, vars: 2, consts: [[4, "ngIf"], [3, "labelPosition", "disabled", "label", "value", "defaultToNow", "defaultValue", "valueChange"], [3, "labelPosition", "label", "value", "defaultValue", "defaultToNow", "labelChange", "valueChange", "defaultValueChange", "defaultToNowChange"]], template: function DateTimeTemplateComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, DateTimeTemplateComponent_ng_container_0_Template, 2, 6, "ng-container", 0);
        i0.ɵɵtemplate(1, DateTimeTemplateComponent_ng_container_1_Template, 2, 5, "ng-container", 0);
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.VIEW || ctx.mode == ctx.viewModes.PREVIEW || ctx.mode == ctx.viewModes.EDIT);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.CONFIGURE);
    } }, dependencies: [i1.NgIf, i2.DateTimeWidgetComponent, i3.DateTimeWidgetConfigureComponent], encapsulation: 2 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DateTimeTemplateComponent, [{
        type: core_1.Component,
        args: [{
                template: `<!-- -->
  <ng-container *ngIf="mode == viewModes.VIEW || mode == viewModes.PREVIEW || mode == viewModes.EDIT  ">
    <tanj-date-time-widget [labelPosition]="config.labelPosition"
                          [disabled]="mode === viewModes.PREVIEW || config.disabled"
                          [label]="config.label"
                          [(value)]="ival.value"
                          [defaultToNow]="config.typeConfig.defaultToNow"
                          [defaultValue]="config.typeConfig.defaultValue">

    </tanj-date-time-widget>
  </ng-container>
  <ng-container *ngIf="mode == viewModes.CONFIGURE">
    <tanj-date-time-configure
      [labelPosition]="config.labelPosition"
      [(label)]="config.label"
      [(value)]="ival.value"
      [(defaultValue)]="config.typeConfig.defaultValue"
      [(defaultToNow)]="config.typeConfig.defaultToNow">
    </tanj-date-time-configure>
  </ng-container>

                 `,
                encapsulation: core_1.ViewEncapsulation.None
            }]
    }], function () { return [{ type: i0.ChangeDetectorRef }]; }, { config: [{
            type: core_1.Input
        }], ival: [{
            type: core_1.Input
        }], mode: [{
            type: core_1.Input
        }], change: [{
            type: core_1.Output
        }] }); })();
//# sourceMappingURL=date-time-template.component.js.map