"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DurationPickerTemplateComponent = void 0;
const core_1 = require("@angular/core");
const core_2 = require("@tangential/core");
//noinspection ES6PreferShortImport
const number_ival_1 = require("../../data-type/number/number-ival");
const input_view_mode_1 = require("../../support/input-view-mode");
const duration_picker_config_1 = require("./duration-picker-config");
const i0 = require("@angular/core");
const i1 = require("@angular/common");
const i2 = require("../../../input-widgets/duration-picker-widget/duration-picker-widget.component");
const i3 = require("../../../input-widgets/duration-picker-widget/duration-picker-widget-configure.component");
function DurationPickerTemplateComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-duration-picker-widget", 1);
    i0.ɵɵlistener("valueChange", function DurationPickerTemplateComponent_ng_container_0_Template_tanj_duration_picker_widget_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r3); const ctx_r2 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r2.ival.value = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("value", ctx_r0.ival.value)("labelPosition", ctx_r0.config.labelPosition)("disabled", ctx_r0.mode === ctx_r0.viewModes.PREVIEW || ctx_r0.config.disabled)("label", ctx_r0.config.label)("showDays", ctx_r0.config == null ? null : ctx_r0.config.showDurationFields.day)("showHours", ctx_r0.config == null ? null : ctx_r0.config.showDurationFields.h)("showMinutes", ctx_r0.config == null ? null : ctx_r0.config.showDurationFields.min)("showSeconds", ctx_r0.config == null ? null : ctx_r0.config.showDurationFields.s)("showMilliseconds", ctx_r0.config == null ? null : ctx_r0.config.showDurationFields.ms)("max", ctx_r0.config.typeConfig.max);
} }
function DurationPickerTemplateComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-duration-picker-widget-configure", 2);
    i0.ɵɵlistener("labelChange", function DurationPickerTemplateComponent_ng_container_1_Template_tanj_duration_picker_widget_configure_labelChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.config.label = $event); })("valueChange", function DurationPickerTemplateComponent_ng_container_1_Template_tanj_duration_picker_widget_configure_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.ival.value = $event); })("defaultValueChange", function DurationPickerTemplateComponent_ng_container_1_Template_tanj_duration_picker_widget_configure_defaultValueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r7 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r7.config.typeConfig.defaultValue = $event); })("showDaysChange", function DurationPickerTemplateComponent_ng_container_1_Template_tanj_duration_picker_widget_configure_showDaysChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r8 = i0.ɵɵnextContext(); return i0.ɵɵresetView((ctx_r8.config == null ? null : ctx_r8.config.showDurationFields).day = $event); })("showHoursChange", function DurationPickerTemplateComponent_ng_container_1_Template_tanj_duration_picker_widget_configure_showHoursChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r9 = i0.ɵɵnextContext(); return i0.ɵɵresetView((ctx_r9.config == null ? null : ctx_r9.config.showDurationFields).h = $event); })("showMinutesChange", function DurationPickerTemplateComponent_ng_container_1_Template_tanj_duration_picker_widget_configure_showMinutesChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r10 = i0.ɵɵnextContext(); return i0.ɵɵresetView((ctx_r10.config == null ? null : ctx_r10.config.showDurationFields).min = $event); })("showSecondsChange", function DurationPickerTemplateComponent_ng_container_1_Template_tanj_duration_picker_widget_configure_showSecondsChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r11 = i0.ɵɵnextContext(); return i0.ɵɵresetView((ctx_r11.config == null ? null : ctx_r11.config.showDurationFields).s = $event); })("showMillisecondsChange", function DurationPickerTemplateComponent_ng_container_1_Template_tanj_duration_picker_widget_configure_showMillisecondsChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r12 = i0.ɵɵnextContext(); return i0.ɵɵresetView((ctx_r12.config == null ? null : ctx_r12.config.showDurationFields).ms = $event); })("maxChange", function DurationPickerTemplateComponent_ng_container_1_Template_tanj_duration_picker_widget_configure_maxChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r13 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r13.config.typeConfig.max = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r1.config.labelPosition)("label", ctx_r1.config.label)("value", ctx_r1.ival.value)("defaultValue", ctx_r1.config.typeConfig.defaultValue)("showDays", ctx_r1.config == null ? null : ctx_r1.config.showDurationFields.day)("showHours", ctx_r1.config == null ? null : ctx_r1.config.showDurationFields.h)("showMinutes", ctx_r1.config == null ? null : ctx_r1.config.showDurationFields.min)("showSeconds", ctx_r1.config == null ? null : ctx_r1.config.showDurationFields.s)("showMilliseconds", ctx_r1.config == null ? null : ctx_r1.config.showDurationFields.ms)("max", ctx_r1.config.typeConfig.max);
} }
class DurationPickerTemplateComponent {
    constructor(changeDetectorRef) {
        this.changeDetectorRef = changeDetectorRef;
        this.mode = null;
        this.change = new core_1.EventEmitter(false);
        this.viewModes = input_view_mode_1.InputViewModes;
    }
    ngOnInit() {
        core_2.Hacks.materialDesignPlaceholderText(this.changeDetectorRef);
    }
}
exports.DurationPickerTemplateComponent = DurationPickerTemplateComponent;
DurationPickerTemplateComponent.ɵfac = function DurationPickerTemplateComponent_Factory(t) { return new (t || DurationPickerTemplateComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
DurationPickerTemplateComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: DurationPickerTemplateComponent, selectors: [["ng-component"]], inputs: { config: "config", ival: "ival", mode: "mode" }, outputs: { change: "change" }, decls: 2, vars: 2, consts: [[4, "ngIf"], [3, "value", "labelPosition", "disabled", "label", "showDays", "showHours", "showMinutes", "showSeconds", "showMilliseconds", "max", "valueChange"], [3, "labelPosition", "label", "value", "defaultValue", "showDays", "showHours", "showMinutes", "showSeconds", "showMilliseconds", "max", "labelChange", "valueChange", "defaultValueChange", "showDaysChange", "showHoursChange", "showMinutesChange", "showSecondsChange", "showMillisecondsChange", "maxChange"]], template: function DurationPickerTemplateComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, DurationPickerTemplateComponent_ng_container_0_Template, 2, 10, "ng-container", 0);
        i0.ɵɵtemplate(1, DurationPickerTemplateComponent_ng_container_1_Template, 2, 10, "ng-container", 0);
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.VIEW || ctx.mode == ctx.viewModes.PREVIEW || ctx.mode == ctx.viewModes.EDIT);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.CONFIGURE);
    } }, dependencies: [i1.NgIf, i2.DurationPickerWidgetComponent, i3.DurationPickerWidgetConfigureComponent], encapsulation: 2 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(DurationPickerTemplateComponent, [{
        type: core_1.Component,
        args: [{
                template: `<!-- -->
  <ng-container *ngIf="mode == viewModes.VIEW || mode == viewModes.PREVIEW || mode == viewModes.EDIT  ">
    <tanj-duration-picker-widget
      [(value)]="ival.value"
      [labelPosition]="config.labelPosition"
      [disabled]="mode === viewModes.PREVIEW || config.disabled"
      [label]="config.label"
      [showDays]="config?.showDurationFields.day"
      [showHours]="config?.showDurationFields.h"
      [showMinutes]="config?.showDurationFields.min"
      [showSeconds]="config?.showDurationFields.s"
      [showMilliseconds]="config?.showDurationFields.ms"
      [max]="config.typeConfig.max">

    </tanj-duration-picker-widget>
  </ng-container>
  <ng-container *ngIf="mode == viewModes.CONFIGURE">
    <tanj-duration-picker-widget-configure
      [labelPosition]="config.labelPosition"
      [(label)]="config.label"
      [(value)]="ival.value"
      [(defaultValue)]="config.typeConfig.defaultValue"
      [(showDays)]="config?.showDurationFields.day"
      [(showHours)]="config?.showDurationFields.h"
      [(showMinutes)]="config?.showDurationFields.min"
      [(showSeconds)]="config?.showDurationFields.s"
      [(showMilliseconds)]="config?.showDurationFields.ms"
      [(max)]="config.typeConfig.max">

    </tanj-duration-picker-widget-configure>
  </ng-container>

                 `,
                encapsulation: core_1.ViewEncapsulation.None
            }]
    }], function () { return [{ type: i0.ChangeDetectorRef }]; }, { config: [{
            type: core_1.Input
        }], ival: [{
            type: core_1.Input
        }], mode: [{
            type: core_1.Input
        }], change: [{
            type: core_1.Output
        }] }); })();
//# sourceMappingURL=duration-picker-template.component.js.map