"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IconRatingWidgetTemplateComponent = void 0;
const core_1 = require("@angular/core");
const core_2 = require("@tangential/core");
//noinspection ES6PreferShortImport
const number_ival_1 = require("../../data-type/number/number-ival");
const input_view_mode_1 = require("../../support/input-view-mode");
const icon_rating_widget_config_1 = require("./icon-rating-widget-config");
const i0 = require("@angular/core");
const i1 = require("@angular/common");
const i2 = require("../../../input-widgets/icon-rating-widget/icon-rating-widget.component");
const i3 = require("../../../input-widgets/icon-rating-widget/icon-rating-widget-configure.component");
function IconRatingWidgetTemplateComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-icon-rating-widget", 1);
    i0.ɵɵlistener("valueChange", function IconRatingWidgetTemplateComponent_ng_container_0_Template_tanj_icon_rating_widget_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r3); const ctx_r2 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r2.ival.value = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r0.config.labelPosition)("disabled", ctx_r0.mode == ctx_r0.viewModes.PREVIEW || ctx_r0.config.disabled)("value", ctx_r0.ival.value)("label", ctx_r0.config.label)("defaultValue", ctx_r0.config.typeConfig.defaultValue)("max", ctx_r0.config.typeConfig.max)("iconFont", ctx_r0.config.iconFont)("offIconNames", ctx_r0.config.offIconNames)("onIconNames", ctx_r0.config.onIconNames);
} }
function IconRatingWidgetTemplateComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-icon-rating-widget-configure", 2);
    i0.ɵɵlistener("valueChange", function IconRatingWidgetTemplateComponent_ng_container_1_Template_tanj_icon_rating_widget_configure_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.ival.value = $event); })("labelChange", function IconRatingWidgetTemplateComponent_ng_container_1_Template_tanj_icon_rating_widget_configure_labelChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.config.label = $event); })("defaultValueChange", function IconRatingWidgetTemplateComponent_ng_container_1_Template_tanj_icon_rating_widget_configure_defaultValueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r7 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r7.config.typeConfig.defaultValue = $event); })("maxChange", function IconRatingWidgetTemplateComponent_ng_container_1_Template_tanj_icon_rating_widget_configure_maxChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r8 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r8.config.typeConfig.max = $event); })("iconFontChange", function IconRatingWidgetTemplateComponent_ng_container_1_Template_tanj_icon_rating_widget_configure_iconFontChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r9 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r9.config.iconFont = $event); })("offIconNamesChange", function IconRatingWidgetTemplateComponent_ng_container_1_Template_tanj_icon_rating_widget_configure_offIconNamesChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r10 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r10.config.offIconNames = $event); })("onIconNamesChange", function IconRatingWidgetTemplateComponent_ng_container_1_Template_tanj_icon_rating_widget_configure_onIconNamesChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r11 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r11.config.onIconNames = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r1.config.labelPosition)("disabled", ctx_r1.config.disabled)("value", ctx_r1.ival.value)("label", ctx_r1.config.label)("defaultValue", ctx_r1.config.typeConfig.defaultValue)("max", ctx_r1.config.typeConfig.max)("iconFont", ctx_r1.config.iconFont)("offIconNames", ctx_r1.config.offIconNames)("onIconNames", ctx_r1.config.onIconNames);
} }
class IconRatingWidgetTemplateComponent {
    constructor(changeDetectorRef) {
        this.changeDetectorRef = changeDetectorRef;
        this.flex = '';
        this.flexLayout = 'column';
        this.flexLayoutAlign = 'start';
        this.mode = input_view_mode_1.InputViewModes.VIEW;
        this.change = new core_1.EventEmitter(false);
        this.viewModes = input_view_mode_1.InputViewModes;
    }
    ngOnInit() {
        core_2.Hacks.materialDesignPlaceholderText(this.changeDetectorRef);
    }
    emitChangeEvent() {
        this.change.emit();
    }
}
exports.IconRatingWidgetTemplateComponent = IconRatingWidgetTemplateComponent;
IconRatingWidgetTemplateComponent.ɵfac = function IconRatingWidgetTemplateComponent_Factory(t) { return new (t || IconRatingWidgetTemplateComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
IconRatingWidgetTemplateComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: IconRatingWidgetTemplateComponent, selectors: [["tanj-icon-rating-widget-template"]], hostVars: 3, hostBindings: function IconRatingWidgetTemplateComponent_HostBindings(rf, ctx) { if (rf & 2) {
        i0.ɵɵattribute("flex", ctx.flex)("layout", ctx.flexLayout)("layout-align", ctx.flexLayoutAlign);
    } }, inputs: { config: "config", ival: "ival", mode: "mode" }, outputs: { change: "change" }, decls: 2, vars: 2, consts: [[4, "ngIf"], [3, "labelPosition", "disabled", "value", "label", "defaultValue", "max", "iconFont", "offIconNames", "onIconNames", "valueChange"], [3, "labelPosition", "disabled", "value", "label", "defaultValue", "max", "iconFont", "offIconNames", "onIconNames", "valueChange", "labelChange", "defaultValueChange", "maxChange", "iconFontChange", "offIconNamesChange", "onIconNamesChange"]], template: function IconRatingWidgetTemplateComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, IconRatingWidgetTemplateComponent_ng_container_0_Template, 2, 9, "ng-container", 0);
        i0.ɵɵtemplate(1, IconRatingWidgetTemplateComponent_ng_container_1_Template, 2, 9, "ng-container", 0);
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.VIEW || ctx.mode == ctx.viewModes.PREVIEW || ctx.mode == ctx.viewModes.EDIT);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.CONFIGURE);
    } }, dependencies: [i1.NgIf, i2.IconRatingWidgetComponent, i3.IconRatingWidgetConfigureComponent], encapsulation: 2 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(IconRatingWidgetTemplateComponent, [{
        type: core_1.Component,
        args: [{
                selector: 'tanj-icon-rating-widget-template',
                template: `
                   <ng-container *ngIf="mode == viewModes.VIEW || mode == viewModes.PREVIEW || mode == viewModes.EDIT  ">
                     <tanj-icon-rating-widget
                       [labelPosition]="config.labelPosition"
                       [disabled]=" mode == viewModes.PREVIEW || config.disabled"
                       [(value)]="ival.value"
                       [label]="config.label"
                       [defaultValue]="config.typeConfig.defaultValue"
                       [max]="config.typeConfig.max"
                       [iconFont]="config.iconFont"
                       [offIconNames]="config.offIconNames"
                       [onIconNames]="config.onIconNames">
                     </tanj-icon-rating-widget>
                   </ng-container>
                   <ng-container *ngIf="mode == viewModes.CONFIGURE">
                     <tanj-icon-rating-widget-configure
                       [labelPosition]="config.labelPosition"
                       [disabled]="config.disabled"
                       [(value)]="ival.value"
                       [(label)]="config.label"
                       [(defaultValue)]="config.typeConfig.defaultValue"
                       [(max)]="config.typeConfig.max"
                       [(iconFont)]="config.iconFont"
                       [(offIconNames)]="config.offIconNames"
                       [(onIconNames)]="config.onIconNames">
                     </tanj-icon-rating-widget-configure>
                   </ng-container>
                 `,
                encapsulation: core_1.ViewEncapsulation.None
            }]
    }], function () { return [{ type: i0.ChangeDetectorRef }]; }, { flex: [{
            type: core_1.HostBinding,
            args: ['attr.flex']
        }], flexLayout: [{
            type: core_1.HostBinding,
            args: ['attr.layout']
        }], flexLayoutAlign: [{
            type: core_1.HostBinding,
            args: ['attr.layout-align']
        }], config: [{
            type: core_1.Input
        }], ival: [{
            type: core_1.Input
        }], mode: [{
            type: core_1.Input
        }], change: [{
            type: core_1.Output
        }] }); })();
//# sourceMappingURL=icon-rating-widget.template.component.js.map