import { NumberType, NumberTypeIF } from '../../data-type/number/number-type';
import { InputConfig, InputConfigJson } from '../../input-config';
export interface NumberSliderConfigIF extends InputConfigJson {
    labelPosition?: 'before' | 'after' | 'below';
    disabled?: boolean;
    typeConfig?: NumberTypeIF;
}
export declare class NumberSliderConfig extends InputConfig implements NumberSliderConfigIF {
    static $model: NumberSliderConfigIF;
    static INPUT_NAME: string;
    labelPosition: 'before' | 'after' | 'below';
    disabled: boolean;
    typeConfig: NumberType;
    constructor(config?: NumberSliderConfigIF, key?: string);
    getDemoInstance(): InputConfigJson;
}
