"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberSliderTemplateComponent = void 0;
const core_1 = require("@angular/core");
const core_2 = require("@tangential/core");
//noinspection ES6PreferShortImport
const number_ival_1 = require("../../data-type/number/number-ival");
const input_view_mode_1 = require("../../support/input-view-mode");
const number_slider_config_1 = require("./number-slider-config");
const i0 = require("@angular/core");
const i1 = require("@angular/common");
const i2 = require("../../../input-widgets/number-slider-widget/number-slider-widget.component");
const i3 = require("../../../input-widgets/number-slider-widget/number-slider-widget-configure.component");
function NumberSliderTemplateComponent_ng_container_0_Template(rf, ctx) { if (rf & 1) {
    const _r3 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-number-slider-widget", 1);
    i0.ɵɵlistener("valueChange", function NumberSliderTemplateComponent_ng_container_0_Template_tanj_number_slider_widget_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r3); const ctx_r2 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r2.ival.value = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r0 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r0.config.labelPosition)("disabled", ctx_r0.mode === ctx_r0.viewModes.PREVIEW || ctx_r0.config.disabled)("label", ctx_r0.config.label)("value", ctx_r0.ival.value)("max", ctx_r0.config.typeConfig.max)("min", ctx_r0.config.typeConfig.min)("decimalPlaces", ctx_r0.config.typeConfig.decimalPlaces)("step", ctx_r0.config.typeConfig.step);
} }
function NumberSliderTemplateComponent_ng_container_1_Template(rf, ctx) { if (rf & 1) {
    const _r5 = i0.ɵɵgetCurrentView();
    i0.ɵɵelementContainerStart(0);
    i0.ɵɵelementStart(1, "tanj-number-slider-configure", 2);
    i0.ɵɵlistener("labelChange", function NumberSliderTemplateComponent_ng_container_1_Template_tanj_number_slider_configure_labelChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r4 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r4.config.label = $event); })("valueChange", function NumberSliderTemplateComponent_ng_container_1_Template_tanj_number_slider_configure_valueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r6 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r6.ival.value = $event); })("defaultValueChange", function NumberSliderTemplateComponent_ng_container_1_Template_tanj_number_slider_configure_defaultValueChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r7 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r7.config.typeConfig.defaultValue = $event); })("maxChange", function NumberSliderTemplateComponent_ng_container_1_Template_tanj_number_slider_configure_maxChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r8 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r8.config.typeConfig.max = $event); })("minChange", function NumberSliderTemplateComponent_ng_container_1_Template_tanj_number_slider_configure_minChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r9 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r9.config.typeConfig.min = $event); })("decimalPlacesChange", function NumberSliderTemplateComponent_ng_container_1_Template_tanj_number_slider_configure_decimalPlacesChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r10 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r10.config.typeConfig.decimalPlaces = $event); })("stepChange", function NumberSliderTemplateComponent_ng_container_1_Template_tanj_number_slider_configure_stepChange_1_listener($event) { i0.ɵɵrestoreView(_r5); const ctx_r11 = i0.ɵɵnextContext(); return i0.ɵɵresetView(ctx_r11.config.typeConfig.step = $event); });
    i0.ɵɵelementEnd();
    i0.ɵɵelementContainerEnd();
} if (rf & 2) {
    const ctx_r1 = i0.ɵɵnextContext();
    i0.ɵɵadvance(1);
    i0.ɵɵproperty("labelPosition", ctx_r1.config.labelPosition)("label", ctx_r1.config.label)("value", ctx_r1.ival.value)("defaultValue", ctx_r1.config.typeConfig.defaultValue)("max", ctx_r1.config.typeConfig.max)("min", ctx_r1.config.typeConfig.min)("decimalPlaces", ctx_r1.config.typeConfig.decimalPlaces)("step", ctx_r1.config.typeConfig.step);
} }
class NumberSliderTemplateComponent {
    constructor(_changeDetector) {
        this._changeDetector = _changeDetector;
        this.mode = null;
        this.change = new core_1.EventEmitter(false);
        this.viewModes = input_view_mode_1.InputViewModes;
    }
    ngOnInit() {
        core_2.Hacks.materialDesignPlaceholderText(this._changeDetector);
    }
}
exports.NumberSliderTemplateComponent = NumberSliderTemplateComponent;
NumberSliderTemplateComponent.ɵfac = function NumberSliderTemplateComponent_Factory(t) { return new (t || NumberSliderTemplateComponent)(i0.ɵɵdirectiveInject(i0.ChangeDetectorRef)); };
NumberSliderTemplateComponent.ɵcmp = /*@__PURE__*/ i0.ɵɵdefineComponent({ type: NumberSliderTemplateComponent, selectors: [["ng-component"]], inputs: { config: "config", ival: "ival", mode: "mode" }, outputs: { change: "change" }, decls: 2, vars: 2, consts: [[4, "ngIf"], [3, "labelPosition", "disabled", "label", "value", "max", "min", "decimalPlaces", "step", "valueChange"], [3, "labelPosition", "label", "value", "defaultValue", "max", "min", "decimalPlaces", "step", "labelChange", "valueChange", "defaultValueChange", "maxChange", "minChange", "decimalPlacesChange", "stepChange"]], template: function NumberSliderTemplateComponent_Template(rf, ctx) { if (rf & 1) {
        i0.ɵɵtemplate(0, NumberSliderTemplateComponent_ng_container_0_Template, 2, 8, "ng-container", 0);
        i0.ɵɵtemplate(1, NumberSliderTemplateComponent_ng_container_1_Template, 2, 8, "ng-container", 0);
    } if (rf & 2) {
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.VIEW || ctx.mode == ctx.viewModes.PREVIEW || ctx.mode == ctx.viewModes.EDIT);
        i0.ɵɵadvance(1);
        i0.ɵɵproperty("ngIf", ctx.mode == ctx.viewModes.CONFIGURE);
    } }, dependencies: [i1.NgIf, i2.NumberSliderWidgetComponent, i3.NumberSliderWidgetConfigureComponent], encapsulation: 2 });
(function () { (typeof ngDevMode === "undefined" || ngDevMode) && i0.ɵsetClassMetadata(NumberSliderTemplateComponent, [{
        type: core_1.Component,
        args: [{
                template: `<!-- -->
  <ng-container *ngIf="mode == viewModes.VIEW || mode == viewModes.PREVIEW || mode == viewModes.EDIT  ">
    <tanj-number-slider-widget [labelPosition]="config.labelPosition"
                              [disabled]="mode === viewModes.PREVIEW || config.disabled"
                              [label]="config.label"
                              [(value)]="ival.value"
                              [max]="config.typeConfig.max"
                              [min]="config.typeConfig.min"
                              [decimalPlaces]="config.typeConfig.decimalPlaces"
                              [step]="config.typeConfig.step">

    </tanj-number-slider-widget>
  </ng-container>
  <ng-container *ngIf="mode == viewModes.CONFIGURE">
    <tanj-number-slider-configure
      [labelPosition]="config.labelPosition"
      [(label)]="config.label"
      [(value)]="ival.value"
      [(defaultValue)]="config.typeConfig.defaultValue"
      [(max)]="config.typeConfig.max"
      [(min)]="config.typeConfig.min"
      [(decimalPlaces)]="config.typeConfig.decimalPlaces"
      [(step)]="config.typeConfig.step">

    </tanj-number-slider-configure>
  </ng-container>

                 `,
                encapsulation: core_1.ViewEncapsulation.None
            }]
    }], function () { return [{ type: i0.ChangeDetectorRef }]; }, { config: [{
            type: core_1.Input
        }], ival: [{
            type: core_1.Input
        }], mode: [{
            type: core_1.Input
        }], change: [{
            type: core_1.Output
        }] }); })();
//# sourceMappingURL=number-slider-template.component.js.map